# Class EncoderCache

java.lang.Object
org.apache.jmeter.protocol.http.util.EncoderCache

public class EncoderCache extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`URL_ARGUMENT_ENCODING`
The encoding which should be usd for URLs, according to HTTP specification

## Constructor Summary

Constructors
Constructor
Description
`EncoderCache(int cacheSize)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getEncoded(String k)`
Get the specified value URL encoded using UTF-8 encoding
`String`
`getEncoded(String k, String contentEncoding)`
Get the specified value URL encoded using the specified encoding

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### URL_ARGUMENT_ENCODING

public static final String URL_ARGUMENT_ENCODING
The encoding which should be usd for URLs, according to HTTP specification

See Also:
  - Constant Field Values

## Constructor Details

### EncoderCache

public EncoderCache(int cacheSize)

## Method Details

### getEncoded

public String getEncoded(String k)
Get the specified value URL encoded using UTF-8 encoding

Parameters:
  `k` - the value to encode
Returns:
  the value URL encoded using UTF-8

### getEncoded

public String getEncoded(String k, String contentEncoding) throws UnsupportedEncodingException
Get the specified value URL encoded using the specified encoding

Parameters:
  `k` - the value to encode
  `contentEncoding` - the encoding to use when URL encoding
Returns:
  the value URL encoded using the specified encoding
Throws:
  `UnsupportedEncodingException` - if the specified encoding is not supported